As evidenced by over 30 years of development history, trust-worthy Korean CAD, CADian!
FAQ
·
2013.12.11
CADian VBA Sample Code - 7 [ Insert Block ]
|
---|
Dim blockObj As IntelliCAD.Block Dim insPt As IntelliCAD.Point Dim BlkName As String BlkName = InputBox("Type a block name") Set insPt = Library.CreatePoint(4, 3, 0) Set blockObj = ThisDocument.Blocks.Add(insPt, BlkName) "" Add a a line and an arc to the block Dim lineObj As IntelliCAD.Line Dim myStartPt As IntelliCAD.Point Dim myEndPt As IntelliCAD.Point Dim arcObj As IntelliCAD.Arc Dim cenPt As Point Dim radius As Double Set lineObj = ThisDocument.ModelSpace.AddLine(Library.CreatePoint(4, 4), Library.CreatePoint(7, 1)) Set cenPt = Library.CreatePoint(3, 4, 0) radius = 1 Set arcObj = blockObj.AddArc(cenPt, radius, 1, 2) "" Insert the block Dim blockRefObj As IntelliCAD.BlockInsert Set blockRefObj = ThisDocument.ModelSpace.InsertBlock(insPt, BlkName, 1, 1, 1, 0) MsgBox "The block " & BlkName & " has been inserted." |